Subject: Re: bug#64725: 30.0.50; set-face-foreground shows background colors

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Aug 2023 10:58:03 +0300

> From: Helmut Eller <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 20 Jul 2023 16:34:34 +0200
> 
> On Wed, Jul 19 2023, Eli Zaretskii wrote:
> 
> > That's exactly what I meant: when you customize the foreground color
> > of a face, show the candidates as text in that color on the background
> > of the face's background color, and when you customize the background
> > of a face, show the candidates as background with the text in the
> > foreground color of the face.  IOW, show the face with its both colors
> > as it will look if this candidate is chosen.
> 
> OK. Here is a patch that should do this:

Thanks, installed on the master branch, and closing the bug.